<!DOCTYPE html>
<html>
<head>

	<meta charset="utf-8">
	<title></title>
</head>
<body>

<script type="text/javascript">

var bpm_current = 80; // tempo actual en bpm
var bpm_F = 100; // tempo final en bpm
var tempoMs = (60 / this.bpm_current) * 1000; // Distancia entre beats en milisegundos, tempo actual
var increm = 2; // Incremento en bpm

var numCompases = 2; // Numero de compases
var metric = 3; // Metrica
var playLoop = false; // Reproducir en loop (bucle infinito)

if (playLoop == false){
	while (bpm_current <= bpm_F) { //Este bucle también puede finalizar si se presiona stop.
		console.log("tempo: " + bpm_current + "bpm");
		for (var n=0; n<numCompases; n++) {
			for (var i=0; i<metric; i++){
				if (i == 0 || (i % 4) == 0){
					console.log(n + " " + i + " click acentuado")	
				} else {
					console.log(n + " " + i + " click regular")
				}			
			}		
		}	
		bpm_current = bpm_current + increm;
	}	
} else{
	do {
		while (bpm_current <= bpm_F) {
			console.log("tempo: " + bpm_current + "bpm");
			for (var n=0; n<numCompases; n++) {
				for (var i=0; i<metric; i++){
					if (i == 0 || (i % 4) == 0){
						console.log(n + " " + i + " click acentuado")	
					} else {
						console.log(n + " " + i + " click regular")
					}			
				}		
			}	
			bpm_current = bpm_current + increm;
		}
	} while(playLoop == true ) //Esto es un bucle infinito, la condición debe ajustarse para que sólo finalice al presionar stop.
}



</script>
</body>
</html>